from kerrgeodesic_gw import (h_particle_quadrupole, h_plus_particle, \
                             h_cross_particle)
r0, theta, phi = 50., pi/3, 0
hp_quad = lambda t: h_particle_quadrupole(r0, t, theta, phi)
hc_quad = lambda t: h_particle_quadrupole(r0, t, theta, phi, mode='x')
hp = lambda t: h_plus_particle(0., r0, t, theta, phi, l_max=5)
hc = lambda t: h_cross_particle(0., r0, t, theta, phi, l_max=5)
umax = 2*n(2*pi*r0**1.5)
g = plot(hp_quad, (0, umax), legend_label=r'$h_+$ quadrupole', \
         axes_labels=[r'$(t-r_*)/M$', r'$r h/\mu$'], \
         title=r'$r_0=50 M$, $\theta=\pi/3$', \
         gridlines=True, frame=True, axes=False)
g += plot(hp, (0, umax), color='red', legend_label=r'$h_+$ exact')
g += plot(hc_quad, (0, umax), linestyle='--', \
          legend_label=r'$h_\times$ quadrupole')
g += plot(hc, (0, umax), color='red', linestyle='--', \
          legend_label=r'$h_\times$ exact')
sphinx_plot(g)